Create Internet Archive Project
Closed, ResolvedPublic

Description

Name:Internet-Archive

Description: "Partnerships and activities that are supported by the Internet Archive, including those to resolve deadlinks and improve video, and activities/bugs on other part of Wikimedia projects which require IA attention"

Type: Component

Rational: Internet Archive has been wanting to track more of the activity around various projects in our community, and there is plenty of IA work happening in our community that they didn't know about. It would be great to have a project that can't give them that much more focused insight into our community.

Sadads created this task.Oct 13 2015, 7:54 AM
Sadads assigned this task to Qgil.
Sadads added a project: Project-Admins.
Sadads added a subscriber: Sadads.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2015, 7:54 AM
Sadads set Security to None.
Aklapper removed Qgil as the assignee of this task.Oct 13 2015, 8:41 AM
Aklapper added a subscriber: Qgil.

How is The-Wikipedia-Library related to this?
Who is going to associate an IA project to tasks?

@Aklapper We are fascilitating a number of liasons with IA, including https://phabricator.wikimedia.org/T112881 and https://phabricator.wikimedia.org/T115224. And they are also working on the video project, which TWL has not involvement in: https://phabricator.wikimedia.org/T99216 .

Once the project is set up I am going to add a filter which automatically includes mentions of Wayback Machine, archive.org and Internet Archive. Once the project is set up, several of their staff plan to subscribe to phabricator, and keep track of the board.

Sounds all good to me, thanks for coming up with this (though any use of "we" in sentences always makes me wonder who is "we" :P ).

Is there any link to a "Partnerships and activities" wikipage with more info to include in the project description?

*TWL is facilitating these liaisons; its largely handshake agreements right now on very low-commitment projects: there will be more formal documentation as it progresses.

@Aklapper & @Qgil is there an ETA for this? Do we need anyone else to give it a thumbs up/conversation? There are a couple of business activities I would love to get moving in the next 12 hours or so that would work better with it in place.

Aklapper closed this task as "Resolved".Oct 13 2015, 8:23 PM
Aklapper claimed this task.

Requested project Internet-Archive has been created: https://phabricator.wikimedia.org/project/profile/1576/

Please encourage interested people to visit the project and to join the project as members, and to subscribe themselves to the project in order to receive updates!

Recommended practices for project and workboard management in Phabricator are available.

Enjoy!

Brilliant! Thanks so much!

Sadads reopened this task as "Open".EditedOct 13 2015, 10:43 PM

@Aklapper It appears that I can't create a Herald rule to add tasks to the Project (only personal subscriptions) automatically, if it contains "Internet Archive", "archive.org", or "Wayback Machine". Can you set that up? There are likely not many situations where I would need another kind of permission to do this.

See https://www.mediawiki.org/wiki/Phabricator/Help#Creating_Herald_rules_for_notifications linking to https://www.mediawiki.org/wiki/Phabricator/Help/Herald_Rules for available options (screenshot).
Basically: Only Title, I assume? Or also description (which might be way less performant)?

brion added a subscriber: brion.Oct 18 2015, 5:03 PM
Aklapper triaged this task as "Low" priority.Oct 19 2015, 11:57 AM

@Aklapper I was trying to do it with the whole of the description: internet archive is frequently a tool used in reference to other strategies for fixing materials on wiki. I want to be able to give our external partners at IA the opportunity to review all thats related to them, to get a sense of our technical interconnectedness. Sorry for not responding sooner, been a busy week.

Aklapper closed this task as "Resolved".Oct 22 2015, 9:47 AM

H99 created:

  • When any of these conditions are met:
    • Description contains Internet Archive
    • Description contains archive.org
    • Description contains Wayback Machine
  • Take these actions the first time this rule matches:
    • Add projects: Internet-Archive.
Hydriz reopened this task as "Open".Oct 28 2015, 12:27 PM
Hydriz added a subscriber: Hydriz.

H99 created:

  • When any of these conditions are met:
    • Description contains Internet Archive
    • Description contains archive.org
    • Description contains Wayback Machine
  • Take these actions the first time this rule matches:
    • Add projects: Internet-Archive.

I am not sure if this is ideal, as it would conflict with Datasets-Archiving, which deals with uploading datasets to the Internet Archive. @Sadads Are you fine with having tasks related to archiving being associated with the Internet-Archive project?

I am not sure if this is ideal, as it would conflict with Datasets-Archiving, which deals with uploading datasets to the Internet Archive.

How? Any example?

If I create a task with the title "Upload elasticsearch dumps to the Internet Archive", then this project would have been added even though it's unrelated. Of course, we can always remove unrelated projects but I am sure it will be added back again when changes are made.

Aklapper reassigned this task from Aklapper to Sadads.Oct 28 2015, 4:20 PM

Thanks. Leaving that decision to @Sadads; reassigning

Clearly this has raised some concerns, @Sadads can you provide your input about this?

@Sadads: Can you please reply to T115306#1762192?

Sadads added a comment.Dec 9 2015, 4:40 PM

@Hydriz sorry for the slow ersponse, lost the email in a busy month: we are primarily creating this queue to allow us to keep Internet Archive informed about what the Wikimedia tech community is doing related to their services. We don't neccessarily expect the work to be tasked as part of the project,. I don't see why your item shouldn't be included in this queue.

Aklapper closed this task as "Resolved".Dec 9 2015, 4:50 PM

Thanks for clarifying. Closing as per last comment again, no changes needed.

Hydriz added a comment.Dec 9 2015, 4:57 PM

@Sadads Good to hear about that. Thanks!

we are primarily creating this queue to allow us to keep Internet Archive informed

Then it should be a tag, not a component.

That Herald rule is triggered for any description linking to any web.archive.org URL. See https://phabricator.wikimedia.org/T73326 - I don't think that's a great idea.

Tbayer added a subscriber: Tbayer.Apr 21 2016, 12:38 AM

That Herald rule is triggered for any description linking to any web.archive.org URL. See https://phabricator.wikimedia.org/T73326 - I don't think that's a great idea.

Indeed, this is quite confusing and distracting for people working on other projects (e.g. I just encountered this misclassification) . @Sadads , any thoughts on how to eliminate this kind of disruption without endangering this valuable partnership?

Are you sure the rule should be triggered by any archive.org link? I've some doubts for T133573 for example.

Sadads added a subscriber: DannyH.May 2 2016, 4:14 PM

@DannyH is doing more of the relationship coordination at the moment -- so might have a better idea on how to prioritize. I think the problem is with Herald -- it automatically adds tasks to projects, even if you remove them. @Aklapper -- is there a way to have herald only add a task to a tag/project once and not readd them if its removed?

@Aklapper -- is there a way to have herald only add a task to a tag/project once and not readd them if its removed?

That should already be the case as it's "first time" and not "every time" (see all available options):

H99 created:

  • Take these actions the first time this rule matches:
    • Add projects: Internet-Archive.

Do you have a recent example where it got re-added?